## gtk-qt-engine-trinity 14.0.4

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( gtk-qt-engine )

set( PACKAGE gtk-qt-engine )
set( VERSION R14.0.4 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckCSourceRuns )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckFunctionExists )
include( CheckStructHasMember )

##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )

##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}:${LIB_INSTALL_DIR}/pkgconfig" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )

INCLUDE (UsePkgConfig)

# Find GTK
PKGCONFIG(gtk+-2.0 GTK_INCLUDE_DIR GTK_LIB_DIR GTK_LINK_FLAGS GTK_CFLAGS)
IF (NOT GTK_INCLUDE_DIR)
	MESSAGE(FATAL_ERROR "GTK was not found.  Ensure you have the GTK development libraries installed, and GTK's pkgconfig files are in your pkgconfig search path.")
ENDIF (NOT GTK_INCLUDE_DIR)
MESSAGE(STATUS "Found GTK include dir: ${GTK_INCLUDE_DIR}")
MESSAGE(STATUS "Found GTK library dir: ${GTK_LIB_DIR}")

# Find Bonobo
PKGCONFIG(libbonoboui-2.0 BONOBO_INCLUDE_DIR BONOBO_LIB_DIR BONOBO_LINK_FLAGS BONOBO_CFLAGS)
IF (NOT BONOBO_INCLUDE_DIR)
	MESSAGE(STATUS "bonoboui not found.  Some features of the theme engine will not work as intended.")
ELSE (NOT BONOBO_INCLUDE_DIR)
	MESSAGE(STATUS "Found Bonobo include dir: ${BONOBO_INCLUDE_DIR}")
	MESSAGE(STATUS "Found Bonobo library dir: ${BONOBO_LIB_DIR}")
	SET(BONOBO_DEFINITIONS -D HAVE_BONOBO)
ENDIF (NOT BONOBO_INCLUDE_DIR)

# Find msgfmt
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)
FIND_PACKAGE(Msgfmt REQUIRED)

# Find xgettext
FIND_PROGRAM(
	XGETTEXT_PATH
	NAMES "xgettext"
	PATHS "/usr/bin"
)
IF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
	MESSAGE(STATUS "xgettext not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
ELSE(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
	MESSAGE(STATUS "Found xgettext: ${XGETTEXT_PATH}")
ENDIF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")

# Find extractrc
FIND_PROGRAM(
	EXTRACTRC_PATH
	NAMES "extractrc"
	PATHS "/usr/bin"
)
IF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
	MESSAGE(STATUS "extractrc not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
ELSE(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
	MESSAGE(STATUS "Found extractrc: ${EXTRACTRC_PATH}")
ENDIF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")

# Work out where to install stuff
EXEC_PROGRAM(
	${PKGCONFIG_EXECUTABLE}
	ARGS --variable=gtk_binary_version gtk+-2.0
	OUTPUT_VARIABLE GTK_VERSION)
SET(INSTALL_PATH_GTK_ENGINES "${GTK_LIB_DIR}/gtk-2.0/${GTK_VERSION}/engines" CACHE PATH "The directory in which to install the theme engine library (eg. /usr/lib/gtk-2.0/2.4.0/engines)")
MESSAGE(STATUS "Installing the GTK theme engine library to: ${INSTALL_PATH_GTK_ENGINES}")

EXEC_PROGRAM(
	${PKGCONFIG_EXECUTABLE}
	ARGS --variable=prefix gtk+-2.0
	OUTPUT_VARIABLE GTK_PREFIX)
SET(INSTALL_PATH_GTK_THEMES "${GTK_PREFIX}/share/themes" CACHE PATH "The directory in which to install the theme data (eg. /usr/share/themes)")
MESSAGE(STATUS "Installing the GTK theme engine data to: ${INSTALL_PATH_GTK_THEMES}")

SET(INSTALL_PATH_KCONTROL_MODULES "${TDE_LIB_DIR}" CACHE PATH "The directory in which to install KControl plugins (eg. /usr/lib)")
MESSAGE(STATUS "Installing the KControl plugins to: ${INSTALL_PATH_KCONTROL_MODULES}")

MESSAGE(STATUS "Installing everything else to: ${CMAKE_INSTALL_PREFIX}")

# Setup definitions and directories to be used in all subdirectories
ADD_DEFINITIONS(${QT_DEFINITIONS} ${TDE_DEFINITIONS} ${BONOBO_DEFINITIONS})
LINK_DIRECTORIES(${TDE_LIB_DIR} ${GTK_LIB_DIR} ${BONOBO_LIB_DIR} ${TQT_LIBRARY_DIRS})
INCLUDE_DIRECTORIES(${GTK_INCLUDE_DIR} ${BONOBO_INCLUDE_DIR} ${TDE_INCLUDE_DIR} ${TQT_INCLUDE_DIRS})

# Subdirectories
ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(kcm_gtk)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(doc)

# Uninstall support
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

## gtk-qt-engine-trinity 3.5.13.2

=== debian/changelog ===
gtk-qt-engine-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 01:15:41 +0200

gtk-qt-engine-trinity (1:0.8-1ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

gtk-qt-engine-trinity (1:0.8-1ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 01 March 2009 23:14:00 -0600

gtk-qt-engine-trinity (1:0.8-1ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 04 Dec 2008 15:18:00 -0600

gtk-qt-engine (1:0.8-1ubuntu2) hardy; urgency=low

  * Added kubuntu_03_xembed_fix_flashplayer.diff:
    - Part of the global fix to make konqueror work with
      latest flashplayer

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 29 Jan 2008 11:54:58 +0100

gtk-qt-engine (1:0.8-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Install files in /usr/share instead of /usr/local/share directory.
    - Switched back to cdbs packaging for simple-patchsys
    - Included kubuntu_02_clean_kmenu_systemsettings_inclusion.diff
    - Included kubuntu_01_background_fix.diff
    - Added gtk2-engines-gtk-qt back in - we need this to do the LTS-->LTS
      transition
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 11 Nov 2007 23:11:32 +1100

gtk-qt-engine (1:0.8-1) unstable; urgency=low

  * New Upstream release, changes since the last SVN snapshot are:
    - Fix corrupt scrollbar ends on Firefox and Eclipse in the Domino style
    - Make buttons, checkboxes and radio buttons indicate keyboard focus
    - Fix icon loading code when dealing with multiple inheritance
    - Map more GTK icons
    - Setting a font with bold or italic options now works correctly
    - Fix a bug where menu checkmarks would be displayed as a series of
      horizontal lines

 -- Bastian Venthur <venthur@debian.org>  Tue, 30 Oct 2007 20:32:01 +0100

gtk-qt-engine (1:0.8~svn-rev36-2ubuntu2) gutsy; urgency=low

  * Added gtk2-engines-gtk-qt back in - we need this to do the LTS-->LTS
    transition

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 31 May 2007 00:24:53 -0500

gtk-qt-engine (1:0.8~svn-rev36-2ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Install files in /usr/share instead of /usr/local/share directory.
    - Switched back to cdbs packaging for simple-patchsys
    - Included kubuntu_02_clean_kmenu_systemsettings_inclusion.diff
    - Included kubuntu_01_background_fix.diff
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Fri, 18 May 2007 21:31:28 +1000

gtk-qt-engine (1:0.8~svn-rev36-2) unstable; urgency=low

  * Added dh_gtkmodules call to debian/rules (Closes: #419306)

 -- Bastian Venthur <venthur@debian.org>  Tue, 17 Apr 2007 09:37:50 +0200

gtk-qt-engine (1:0.8~svn-rev36-1) unstable; urgency=low

  * New SVN snapshot
    - Added Turkish translation
    - Added Bulgarian translation
    - Added Russian translation
    - Fix compilation on GCC 4.3 (Closes: #417219), thanks again Martin!
  * Dropped transitional package gtk2-engines-gtk-qt
  * Don't ship files in /usr/lib64 on such archs anymore (Closes: #417044)
  * Bumped gtk dependency (Closes: #419306)

 -- Bastian Venthur <venthur@debian.org>  Sun, 15 Apr 2007 17:06:25 +0200

gtk-qt-engine (1:0.8~svn-rev31-3) unstable; urgency=low

  * Upload to unstable
    - (Closes: #412279) "unusable with GTK+ 2.10" and many other bugs,
      already fixed in experimental.

 -- Bastian Venthur <venthur@debian.org>  Tue, 27 Feb 2007 13:17:34 +0100

gtk-qt-engine (1:0.8~svn-rev31-2) experimental; urgency=low

  * Added --as-needed CFLAG in order to reduce the dependencies

 -- Bastian Venthur <venthur@debian.org>  Tue, 27 Feb 2007 12:09:36 +0100

gtk-qt-engine (1:0.8~svn-rev31-1) experimental; urgency=low

  * New SVN snapshot
    - Added Italian translation
    - Fix button appearance in the Motif Plus style

 -- Bastian Venthur <venthur@debian.org>  Fri,  9 Feb 2007 13:17:22 +0100

gtk-qt-engine (1:0.8~svn-rev29-1) experimental; urgency=low

  * New SVN snapshot
    - Merged gtk-qt-engine-small-pixmaps.patch from SuSe.
    - Highlighted menu item are now always white. 

 -- Bastian Venthur <venthur@debian.org>  Mon, 15 Jan 2007 15:13:01 +0100

gtk-qt-engine (1:0.8~svn-rev27-1) experimental; urgency=low

  * New SVN snapshot
    - Merged fix-iconpaths.patch from suse. This fixes icon loading issues
      wit inherited icon themes.
      
  * Since gtk-qt-engine 0.8 will use cmake im closing libtoolbug.  
    (Closes: #342914)

 -- Bastian Venthur <venthur@debian.org>  Thu,  4 Jan 2007 13:29:13 +0100

gtk-qt-engine (1:0.8~svn-rev26-1) experimental; urgency=low

  * New upstream SVN snapshot
    - My toolbarfix.patch is now officially included, so removing it from
      debian/patches.

 -- Bastian Venthur <venthur@debian.org>  Fri,  8 Dec 2006 11:11:39 +0100

gtk-qt-engine (1:0.8~svn-rev25-2) experimental; urgency=low

  * Applied toolbarfix.patch in order to respect KDE's toolbar settings. 

 -- Bastian Venthur <venthur@debian.org>  Thu,  7 Dec 2006 12:44:35 +0100

gtk-qt-engine (1:0.8~svn-rev25-1) experimental; urgency=low

  * Snapshot from upstreams SVN, fixes many bugs including:
    - Switch the buildsystem from autotools to CMake. CMake 2.4 is now 
      required to build the project.
    - Fix scrollbar sliders in the Domino widget style
    - Fix a bug that caused Qt colours not to be applied to GTK applications. 
      This fixes several graphical problems when  using dark colour schemes. 
      (Closes: #395127)
    - Fix a bug that would disable Bonobo support even when the correct 
      packages were installed


=== debian/control ===
Source: gtk-qt-engine-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 5.0), quilt, cdbs, kdelibs4-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
Standards-Version: 3.8.4

Package: gtk-qt-engine-trinity
Architecture: any
Provides: gtk2-engines-gtk-qt-trinity
Replaces: gtk-qt-engine-kde3 (<< 4:3.5.13)
Breaks: gtk-qt-engine-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: theme engine using Qt for GTK+ 2.x and Trinity
 The GTK-Qt Theme Engine (also known as gtk-qt-engine) is a GTK 2 theme engine
 that calls Qt to do the actual drawing. This makes your GTK 2 applications
 look almost like real Qt applications and gives you a more unified desktop
 experience.
 .
 Please note that this package is targeted at Trinity users and therefore provides
 a way to configure it from within KControl.

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
-DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/gtk-qt-engine-trinity::
	mkdir -p $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/.gtkrc-2.0-kde4 $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/.gtkrc-2.0-kde-kde4 $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/
	cp -Rp $(CURDIR)/debian/gtk-qt-engine.rc.sh $(CURDIR)/debian/gtk-qt-engine-trinity/opt/trinity/share/kgtk/

## gtk-qt-engine-trinity 14.0.4

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:04:41 +0200

## gtk-qt-engine-trinity 14.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project( gtk-qt-engine )
 
 set( PACKAGE gtk-qt-engine )
-set( VERSION R14.0.4 )
+set( VERSION R14.0.5 )
 
 
 ##### include essential cmake modules ###########

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:00:40 +0200

=== debian/control ===
Source: gtk-qt-engine-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
Standards-Version: 3.8.4

Package: gtk-qt-engine-trinity
Architecture: any
Provides: gtk2-engines-gtk-qt-trinity
Replaces: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
Breaks: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gtk3-tqt-engine-trinity
Description: theme engine using Qt for GTK+ 2.x and Trinity
 The GTK-Qt Theme Engine (also known as gtk-qt-engine) is a GTK 2 theme engine
 that calls Qt to do the actual drawing. This makes your GTK 2 applications
 look almost like real Qt applications and gives you a more unified desktop
 experience.
 .
 Please note that this package is targeted at Trinity users and therefore provides
 a way to configure it from within KControl.

Package: gtk-qt-engine-trinity-dbg
Section: devel
Architecture: any
Priority: extra
Depends: gtk-qt-engine-trinity (= ${binary:Version}), tdelibs-trinity-dbg
Description: debugging symbols for the GTK-Qt Theme Engine [Trinity]
 This package contains the debugging symbols associated with gtk-qt-engine-trinity.
 They will automatically be used by gdb for debugging gtk-qt-engine-trinity-related
 issues.

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include debian/cdbs/debian-qt-kde.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -24,7 +24,7 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib
 
-DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/kde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
+DEB_CMAKE_EXTRA_FLAGS := -DLIB_SUFFIX="" -DCMAKE_INSTALL_PREFIX="/opt/trinity" -DCONFIG_INSTALL_DIR="/etc/trinity" -DSYSCONF_INSTALL_DIR="/etc/trinity" -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" -DCMAKE_INCLUDE_PATH="/opt/trinity/include/tde" -DAUTODETECT_QT_DIRS="ON" -DCMAKE_VERBOSE_MAKEFILE="ON" -DBUILD_ALL="ON" -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \

## gtk-qt-engine-trinity 14.0.6

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 00:58:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: gtk-qt-engine-trinity
 Architecture: any
 Provides: gtk2-engines-gtk-qt-trinity
-Replaces: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
-Breaks: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
+Replaces: gtk-qt-engine-trinity (<< 4:14.0.0~)
+Breaks: gtk-qt-engine-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gtk3-tqt-engine-trinity
 Description: theme engine using Qt for GTK+ 2.x and Trinity

## gtk-qt-engine-trinity 14.0.8

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:00 +0200

## gtk-qt-engine-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project( gtk-qt-engine )
 
 set( PACKAGE gtk-qt-engine )
-set( VERSION R14.0.5 )
+set( VERSION R14.0.9 )
 
 
 ##### include essential cmake modules ###########
@@ -17,7 +17,9 @@
 include( CheckCXXSourceCompiles )
 include( CheckLibraryExists )
 include( CheckFunctionExists )
+include( CheckSymbolExists )
 include( CheckStructHasMember )
+
 
 ##### include our cmake modules #################
 
@@ -29,6 +31,7 @@
 
 include( TDESetupPaths )
 tde_setup_paths( )
+
 
 ##### set PKG_CONFIG_PATH #######################
 
@@ -47,8 +50,9 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
+
 
 INCLUDE (UsePkgConfig)
 
@@ -70,33 +74,6 @@
 	SET(BONOBO_DEFINITIONS -D HAVE_BONOBO)
 ENDIF (NOT BONOBO_INCLUDE_DIR)
 
-# Find msgfmt
-SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/CMake/Modules)
-FIND_PACKAGE(Msgfmt REQUIRED)
-
-# Find xgettext
-FIND_PROGRAM(
-	XGETTEXT_PATH
-	NAMES "xgettext"
-	PATHS "/usr/bin"
-)
-IF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
-	MESSAGE(STATUS "xgettext not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
-ELSE(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
-	MESSAGE(STATUS "Found xgettext: ${XGETTEXT_PATH}")
-ENDIF(${XGETTEXT_PATH} STREQUAL "XGETTEXT_PATH-NOTFOUND")
-
-# Find extractrc
-FIND_PROGRAM(
-	EXTRACTRC_PATH
-	NAMES "extractrc"
-	PATHS "/usr/bin"
-)
-IF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
-	MESSAGE(STATUS "extractrc not found.  You will not be able to run 'make extract_messages' in the 'po' directory.")
-ELSE(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
-	MESSAGE(STATUS "Found extractrc: ${EXTRACTRC_PATH}")
-ENDIF(${EXTRACTRC_PATH} STREQUAL "EXTRACTRC_PATH-NOTFOUND")
 
 # Work out where to install stuff
 EXEC_PROGRAM(

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:00:22 +0200

## gtk-qt-engine-trinity 14.0.10

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: gtk-qt-engine-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
+Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
 Standards-Version: 3.8.4
 
 Package: gtk-qt-engine-trinity
 Architecture: any
 Provides: gtk2-engines-gtk-qt-trinity
-Replaces: gtk-qt-engine-trinity (<< 4:14.0.0~)
-Breaks: gtk-qt-engine-trinity (<< 4:14.0.0~)
+Replaces: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
+Breaks: gtk-qt-engine-kde3 (<< 4:14.0.0~), gtk-qt-engine-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: gtk3-tqt-engine-trinity
 Description: theme engine using Qt for GTK+ 2.x and Trinity

## gtk-qt-engine-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
@@ -6,7 +6,7 @@
 project( gtk-qt-engine )
 
 set( PACKAGE gtk-qt-engine )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 ##### include essential cmake modules ###########

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Aug 2021 00:22:15 +0200

## gtk-qt-engine-trinity 14.0.12

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Feb 2022 23:29:52 +0100

## gtk-qt-engine-trinity 14.0.13

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 14:52:09 +0200

## gtk-qt-engine-trinity 14.1.0

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Feb 2023 16:11:33 +0100

## gtk-qt-engine-trinity 14.1.1

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 2    #
#                                          #
############################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( gtk-qt-engine )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckCSourceRuns )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckStructHasMember )


##### include our cmake modules #################

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}:${LIB_INSTALL_DIR}/pkgconfig" )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( kcm_gtk )
tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )


##### uninstall support

if( NOT TARGET uninstall )
  configure_file( "cmake_uninstall.cmake.in" "cmake_uninstall.cmake" IMMEDIATE @ONLY )
  add_custom_target( uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  )
endif()

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, tdelibs14-trinity-dev, libgtk2.0-dev, cmake, libgtk2.0-dev (>= 2.10.1)
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev (>= 2.10.1)
 Standards-Version: 3.8.4
 
 Package: gtk-qt-engine-trinity

## gtk-qt-engine-trinity 14.1.2

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Apr 2024 11:37:34 +0200

## gtk-qt-engine-trinity 14.1.3

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev (>= 2.10.1)
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev (>= 2.10.1)
 Standards-Version: 3.8.4
 
 Package: gtk-qt-engine-trinity

## gtk-qt-engine-trinity 14.1.4

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## gtk-qt-engine-trinity 14.1.5~pre3

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.5~pre3-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 65bd98334c1de4629a3ff37b784daa762162a821
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gtk-qt-engine-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,12 @@
 #                                          #
 ############################################
 
-cmake_minimum_required( VERSION 3.1 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -29,11 +34,6 @@
 ##### include our cmake modules #################
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths #######################

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev (>= 2.10.1)
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libgtk2.0-dev (>= 2.10.1)
 Standards-Version: 3.8.4
 
 Package: gtk-qt-engine-trinity

## gtk-qt-engine-trinity 14.1.6~pre0

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 65bd98334c1de4629a3ff37b784daa762162a821
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## gtk-qt-engine-trinity 14.1.6~pre1

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 19a59de81f4ab21bd47fe00bf825095f323e701f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:14:14 +0100

## gtk-qt-engine-trinity 14.2.0~pre42

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.2.0~pre42-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 38f56e9703f14d024e616d47bd5c68dd88b9169b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## gtk-qt-engine-trinity 14.2.0~pre43

=== debian/changelog ===
gtk-qt-engine-trinity (4:14.2.0~pre43-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ef336a9b1479cdfdcffa008d38081c469b0d3f95
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#gtk-qt-engine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:10:33 +0100
